Subject: Re: [PATCH] SSB PCI core driver fixes

From: Aurelien Jarno <[email-masked]>
Date: Thu, 09 Aug 2007 02:38:24 +0200

Michael Buesch a écrit :
> On Thursday 09 August 2007, Aurelien Jarno wrote:
>>  - Add some delay between the configuration of the PCI controller 
>>    and its registration.
> 
> Why? It is _huge_ and people won't like it ;)
> At least add a comment why this is needed.

It is need, otherwise the PCI controller gets confused, which causes a
reset of the machine. Then CFE goes into a loop booting again and again
without being able to get up to the prompt.

I agree this is a huge value, so I will try to find the minimum value
and then add some margin.

I will send an updated patch.

>> @@ -340,6 +345,7 @@
>>  	 * The following needs change, if we want to port hostmode
>>  	 * to non-MIPS platform. */
>>  	set_io_port_base((unsigned long)ioremap_nocache(SSB_PCI_MEM, 0x04000000));
>> +	mdelay(300);
>>  	register_pci_controller(&ssb_pcicore_controller);
>>  }
>>
> 
> 
> 

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   [email-masked]         | [email-masked]
   `-    people.debian.org/~aurel32 | www.aurel32.net